## org.eclipse.jetty.server.session
Class SessionHandler

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.server.handler.AbstractHandler
              org.eclipse.jetty.server.handler.AbstractHandlerContainer
                  org.eclipse.jetty.server.handler.HandlerWrapper
                      org.eclipse.jetty.server.handler.ScopedHandler
                          org.eclipse.jetty.server.session.SessionHandler

All Implemented Interfaces:
  Handler, HandlerContainer, LifeCycle

    public class SessionHandler

extends ScopedHandler

SessionHandler.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.server.handler.ScopedHandler
`_nextScope, _outerScope`

Fields inherited from class org.eclipse.jetty.server.handler.HandlerWrapper
`_handler`

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`SessionHandler()` Constructor.
`SessionHandler(SessionManager manager)`

Method Summary
`void` `addEventListener(EventListener listener)`
`void` `clearEventListeners()`
`void` `doHandle(String target, Request baseRequest, HttpServletRequest request, HttpServletResponse response)`
`void` `doScope(String target, Request baseRequest, HttpServletRequest request, HttpServletResponse response)`
`protected void` `doStart()`
`protected void` `doStop()`
`SessionManager` `getSessionManager()`
`protected void` `setRequestedId(Request baseRequest, HttpServletRequest request)` Look for a requested session ID in cookies and URI parameters
`void` `setServer(Server server)`
`void` `setSessionManager(SessionManager sessionManager)`

Methods inherited from class org.eclipse.jetty.server.handler.ScopedHandler
`handle, never, nextHandle, nextScope`

Methods inherited from class org.eclipse.jetty.server.handler.HandlerWrapper
`expandChildren, getHandler, getHandlers, getNestedHandlerByClass, setHandler`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandlerContainer
`dump, dumpHandlers, expandHandler, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler
`destroy, dump, dump, getServer, toString`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### SessionHandler

    public SessionHandler()

  Constructor. Construct a SessionHandler witha a HashSessionManager with a standard java.util.Random generator is created.

### SessionHandler

    public SessionHandler(SessionManager manager)

Parameters:
  `manager` - The session manager

Method Detail

### getSessionManager

    public SessionManager getSessionManager()

  Returns:
    Returns the sessionManager.

### setSessionManager

    public void setSessionManager(SessionManager sessionManager)

  Parameters:
    `sessionManager` - The sessionManager to set.

### setServer

    public void setServer(Server server)

  Specified by:
    `setServer` in interface `Handler`
  Overrides:
    `setServer` in class `HandlerWrapper`

### doStart

    protected void doStart()
                    throws Exception

  Overrides:
    `doStart` in class `ScopedHandler`
  Throws:
    `Exception`
  See Also:
    `HandlerWrapper.doStart()`

### doStop

    protected void doStop()
                   throws Exception

  Overrides:
    `doStop` in class `HandlerWrapper`
  Throws:
    `Exception`

### doScope

    public void doScope(String target,
                        Request baseRequest,
                        HttpServletRequest request,
                        HttpServletResponse response)
                 throws IOException,
                        ServletException

  Specified by:
    `doScope` in class `ScopedHandler`
  Throws:
    `IOException`
    `ServletException`

### doHandle

    public void doHandle(String target,
                         Request baseRequest,
                         HttpServletRequest request,
                         HttpServletResponse response)
                  throws IOException,
                         ServletException

  Specified by:
    `doHandle` in class `ScopedHandler`
  Throws:
    `IOException`
    `ServletException`

### setRequestedId

    protected void setRequestedId(Request baseRequest,
                                  HttpServletRequest request)

  Look for a requested session ID in cookies and URI parameters

  Parameters:
    `baseRequest` -
    `request` -

### addEventListener

    public void addEventListener(EventListener listener)

  Parameters:
    `listener` -

### clearEventListeners

    public void clearEventListeners()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.